import { Address } from '@solana/addresses';
import type { IRpcApiMethods } from '@solana/rpc-transport';
import { Commitment } from '@solana/rpc-types';
import { Slot } from './common.js';
export interface GetSlotLeaderApi extends IRpcApiMethods {
    /**
     * Returns the current slot leader
     */
    getSlotLeader(config?: Readonly<{
        commitment?: Commitment;
        minContextSlot?: Slot;
    }>): Address;
}
//# sourceMappingURL=getSlotLeader.d.ts.map